<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextUniqueMultiple Method
Cursor Class See Also

If the cursor is not yet initialized, MoveNextUniqueMultiple is identical to MoveFirstMultiple()()(). Otherwise, move the cursor to the next non-duplicate key in the database, and store that key and associated datum and as many duplicate data items that can fit in a buffer the size of one database page in CurrentMultiple. MoveNextUniqueMultiple will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MoveNextUniqueMultiple()

Visual Basic (Declaration)

    Public Function MoveNextUniqueMultiple As Boolean

Visual C++

    public:
    bool MoveNextUniqueMultiple()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextUniqueMultiple Overload
BerkeleyDB Namespace